import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/43ee7bec0205d13b5cec29fb5112cf0c/raw/05f61a8ab6870e87a4f095c6c8d21af4891c27f1/residuosdecultivosgenerados.csv"; 	

export const useData = () => {

  const [data, setData] = useState(null);
	
  useEffect(() => {
    const row = (d) => {
      d.Month = +d['ENERO'];
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data.slice(0, 12));
    });
  }, []);
  
     console.log('Data:' , data); 

  return data
}
